from api_graphql.abc.db_model_query_abc import DbModelQueryABC
from data.schemas.public.group import Group
from data.schemas.public.short_url import ShortUrl
from data.schemas.public.short_url_dao import shortUrlDao


class GroupQuery(DbModelQueryABC):
    def __init__(self):
        DbModelQueryABC.__init__(self, "Group")

        self.set_field("name", lambda x, *_: x.name)
        self.set_field("shortUrls", self._get_urls)

    @staticmethod
    async def _get_urls(group: Group, *_):
        return await shortUrlDao.find_by({ShortUrl.group_id: group.id})
