import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { RouterModule, Routes } from "@angular/router";
import { SharedModule } from "src/app/modules/shared/shared.module";

const routes: Routes = [
  {
    path: "groups",
    loadChildren: () =>
      import("src/app/modules/admin/groups/groups.module").then(
        (m) => m.GroupsModule,
      ),
  },
  {
    path: "urls",
    loadChildren: () =>
      import("src/app/modules/admin/short-urls/short-urls.module").then(
        (m) => m.ShortUrlsModule,
      ),
  },
  {
    path: "administration",
    loadChildren: () =>
      import("src/app/modules/admin/administration/administration.module").then(
        (m) => m.AdministrationModule,
      ),
  },
];

@NgModule({
  declarations: [],
  imports: [CommonModule, SharedModule, RouterModule.forChild(routes)],
})
export class AdminModule {}
